## org.eclipse.datatools.connectivity
Interface IProfileListener

All Known Subinterfaces:
  IProfileListener1

All Known Implementing Classes:
  SQLToolsProfileProxyListener

public interface IProfileListener

Profile Change Listener

Author:
  shongxum

Method Summary
`void` `profileAdded(IConnectionProfile profile)` The specified profile has been added.
`void` `profileChanged(IConnectionProfile profile)` The specified profile has been modified.
`void` `profileDeleted(IConnectionProfile profile)` The specified profile has been deleted.

Method Detail

### profileAdded

    public void profileAdded(IConnectionProfile profile)

  The specified profile has been added.

  Parameters:
    `profile` -

### profileDeleted

    public void profileDeleted(IConnectionProfile profile)

  The specified profile has been deleted.

  Parameters:
    `profile` -

### profileChanged

    public void profileChanged(IConnectionProfile profile)

  The specified profile has been modified. Modification includes changes to any properties, the name, auto-connect flag, etc.

  Parameters:
    `profile` -

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.